import Vue from 'vue'
import App from './App'
import store from './store'
Vue.prototype.$store = store

import statusNav from './components/status-nav.vue';//引入状态栏组件
Vue.component('status-nav',statusNav)//全局注册状态栏组件

import footTab from './components/foot-tab.vue';//引入底部tab组件
Vue.component('foot-tab',footTab)//全局注册底部tab组件

import backTop from './components/backTop.vue';//引入返回顶部组件
Vue.component('back-top',backTop)//全局注册返回顶部组件

import catePu from './components/cate-items/cate-pu.vue';//引入分类组件
Vue.component('cate-pu',catePu)//全局注册分类组件

import listPu from './components/list-pu.vue';//引入视频、图片列表组件
Vue.component('list-pu',listPu)//全局注册视频、图片列表组件

import pupo from './components/pupo.vue';//引入弹框组件
Vue.component('pu-po',pupo)//全局注册弹框组件

import nothingPage from './components/nothing-page.vue'//引入无内容组件
Vue.component('nothing-page',nothingPage)//全局注册无内容组件

import publicCustomer from './components/public-customer.vue'//引入客服组件
Vue.component('public-customer',publicCustomer)//全局注册客服组件

import authUserInfoMobileInfo from './components/auth/auth-userInfo-mobileInfo.vue'//引入授权用户信息，授权手机号组件
Vue.component('auth-userInfo-mobileInfo',authUserInfoMobileInfo)//全局注册授权用户信息，授权手机号组件

// 全局注册分享事件
import share from './jsFile/share.js'
Vue.mixin(share)

Vue.prototype.$hostApi = 'https://oss.hmzfyy.cn';
// 常用工具
import tools from '@/jsFile/tools.js'
Vue.prototype.$toolAll = tools;


// 响应数据
import requst from '@/jsFile/requst.js'
Vue.prototype.$requst = requst;
// 域名，专治后台仔没有返回http/https的图片
Vue.prototype.$http = 'https://oss.hmzfyy.cn';

const {log} = console;
Vue.prototype.$log = log













Vue.config.productionTip = false

App.mpType = 'app'

const app = new Vue({
	store,
    ...App
})
app.$mount()
